## com.puppycrawl.tools.checkstyle.checks.indentation
Class TryHandler

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
          com.puppycrawl.tools.checkstyle.checks.indentation.BlockParentHandler
              com.puppycrawl.tools.checkstyle.checks.indentation.TryHandler

    public class TryHandler

extends BlockParentHandler

Handler for try blocks.

Author:
  jrichard

Constructor Summary
`TryHandler(IndentationCheck aIndentCheck, DetailAST aAst, ExpressionHandler aParent)` Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

Method Summary
`IndentLevel` `suggestedChildLevel(ExpressionHandler aChild)` Indentation level suggested for a child element.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.BlockParentHandler
`checkIndentation, checkLCurly, checkRCurly, checkToplevelToken, childrenMayNest, getCheckedChildren, getChildrenExpectedLevel, getLCurly, getListChild, getLParen, getNonlistChild, getRCurly, getRParen, getToplevelAST, hasCurlys, rcurlyMustStart, toplevelMustStartLine`

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.indentation.ExpressionHandler
`checkChildren, checkExpressionSubtree, checkLinesIndent, checkLParen, checkModifiers, checkRParen, expandedTabsColumnNo, findSubtreeLines, getBasicOffset, getBraceAdjustement, getFirstLine, getIndentCheck, getLevel, getLevelImpl, getLineStart, getLineStart, getMainAst, getParent, logError, logError, shouldIncreaseIndent, startsLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TryHandler

    public TryHandler(IndentationCheck aIndentCheck,
                      DetailAST aAst,
                      ExpressionHandler aParent)

  Construct an instance of this handler with the given indentation check, abstract syntax tree, and parent handler.

  Parameters:
    `aIndentCheck` - the indentation check
    `aAst` - the abstract syntax tree
    `aParent` - the parent handler

Method Detail

### suggestedChildLevel

    public IndentLevel suggestedChildLevel(ExpressionHandler aChild)

  Description copied from class: `ExpressionHandler`
  Indentation level suggested for a child element. Children don't have to respect this, but most do.

  Overrides:
    `suggestedChildLevel` in class `BlockParentHandler`
  Parameters:
    `aChild` - child AST (so suggestion level can differ based on child type)
  Returns:
    suggested indentation for child

Copyright © 2001-2011. All Rights Reserved.